Subject: Re: [WIP][PATCHES] Network xmit batching

From: jamal <[email-masked]>
Date: Fri, 08 Jun 2007 20:17:33 -0400

On Fri, 2007-08-06 at 10:27 -0700, Rick Jones wrote:

[..]

> you cannot take the netperf service demand directly - each netperf is 
> calculating assuming that it is the only thing running on the system. 
> It then ass-u-me-s that the CPU util it measured was all for its work. 
> This means the service demand figure will be quite higher than it really is.
> 
> So, for aggregate tests using netperf2, one has to calculate service 
> demand by hand.  Sum the throughput as KB/s, convert the CPU util and 
> number of CPUs to a microseconds of CPU consumed per second and divide 
> to get microseconds per KB for the aggregate.

>>From what you are saying above seems to me that for more than one proc
it is safe to just run netperf4 instead of netperf2?

It also seems reasonable to set up large socket buffers on the receiver.

cheers,
jamal